using System;

namespace estructuras
{
  struct t_fecha
  {
    public short día;
    public short mes;
    public short año;
  }

  struct t_ficha
  {
    public string nombre;
    public string dirección;
    public long teléfono;
    public long DNI;
    public t_fecha fechaNacimiento;
    public string[] asignatura; // referencia a una matriz
  }

  class Program
  {
    public static void Main(string[] args)
    {
      t_ficha alumno = new t_ficha();
      alumno.nombre = "Un nombre";
      alumno.dirección = "Una dirección";
      alumno.teléfono = 111222333444;
      alumno.DNI = 11111111;
      alumno.fechaNacimiento.día = 1;
      alumno.fechaNacimiento.mes = 1;
      alumno.fechaNacimiento.año = 2001;
      alumno.asignatura = new string[11];

      Console.WriteLine(alumno.fechaNacimiento.año);
      
      Console.Write("Pulse una tecla para continuar...");
      Console.ReadKey(true);
    }
  }
}
